## kstars-3.7.7.tar.xz

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16.0 FATAL_ERROR)

PROJECT(kstars
        VERSION 3.7.7
        DESCRIPTION "A Desktop Planetarium for KDE"
        HOMEPAGE_URL "https://edu.kde.org/kstars"
        LANGUAGES CXX C)

set (KStars_VERSION_MAJOR ${kstars_VERSION_MAJOR})
set (KStars_VERSION_MINOR ${kstars_VERSION_MINOR})
set (KStars_VERSION_REVISION ${kstars_VERSION_PATCH})
set (KSTARS_BUILD_RELEASE "Stable")
set (CMAKE_CXX_STANDARD 17)

# Option to choose between Qt5 and Qt6
option(BUILD_QT5 "Build using Qt5" On)

if(BUILD_QT5)
    set(QT_MIN_VERSION 5.12.7)
    set(KF5_MIN_VERSION 5.68.0)
else()
    set(QT_MIN_VERSION 6.2.4)
    set(KF5_MIN_VERSION 5.68.0)
endif(BUILD_QT5)


# Build KStars Lite with -DBUILD_KSTARS_LITE=ON
option(BUILD_KSTARS_LITE "Build KStars Lite" OFF)

# Build the Python bindings for the SkyMesh indexation
option(BUILD_PYKSTARS "Build SkyMesh Python Bindings" OFF)

# KStars Timestap build
string(TIMESTAMP KSTARS_BUILD_TS UTC)

# add EVERYTHING to the compile commands
if(CMAKE_EXPORT_COMPILE_COMMANDS)
  set(CMAKE_CXX_STANDARD_INCLUDE_DIRECTORIES
    ${CMAKE_CXX_IMPLICIT_INCLUDE_DIRECTORIES})
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

# Ccache support
IF (ANDROID OR UNIX OR APPLE)
    FIND_PROGRAM(CCACHE_FOUND ccache)
    SET(CCACHE_SUPPORT OFF CACHE BOOL "Enable ccache support")
    IF ((CCACHE_FOUND OR ANDROID) AND CCACHE_SUPPORT MATCHES ON)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
        SET_PROPERTY(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
    ENDIF ()
ENDIF ()

if(CMAKE_SYSTEM_NAME STREQUAL Android)
    add_definitions(-DANDROID -D__STDC_LIMIT_MACROS)
    set(ANDROID TRUE)
endif()

if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
    include(${CMAKE_BINARY_DIR}/kf5/kde/install/share/ECM/cmake/ECMConfig.cmake)
endif()

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(QT_ANDROID $ENV{QT_ANDROID})
        set(Qt5Core_DIR "${QT_ANDROID}/lib/cmake/Qt5Core")
        set(Qt5Gui_DIR "${QT_ANDROID}/lib/cmake/Qt5Gui")
        set(Qt5Network_DIR "${QT_ANDROID}/lib/cmake/Qt5Network")
        set(Qt5Positioning_DIR "${QT_ANDROID}/lib/cmake/Qt5Positioning")
        set(Qt5Qml_DIR "${QT_ANDROID}/lib/cmake/Qt5Qml")
        set(Qt5Quick_DIR "${QT_ANDROID}/lib/cmake/Qt5Quick")
        set(Qt5Widgets_DIR "${QT_ANDROID}/lib/cmake/Qt5Widgets")
        include(${QT_ANDROID}/lib/cmake/Qt5/Qt5Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Core/Qt5CoreConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Gui/Qt5GuiConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Qml/Qt5QmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Quick/Qt5QuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5QuickControls2/Qt5QuickControls2Config.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Xml/Qt5XmlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Svg/Qt5SvgConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Network/Qt5NetworkConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Positioning/Qt5PositioningConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5PositioningQuick/Qt5PositioningQuickConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5Concurrent/Qt5ConcurrentConfig.cmake)
        include(${QT_ANDROID}/lib/cmake/Qt5AndroidExtras/Qt5AndroidExtrasConfig.cmake)
    else()
        if(ANDROID)
            list(APPEND QT_EXTRA_COMPONENTS AndroidExtras)
        else()
            list(APPEND QT_EXTRA_COMPONENTS PrintSupport)
        endif()
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick QuickControls2 Xml Svg Sql Network Positioning PositioningQuick Concurrent WebSockets ${QT_EXTRA_COMPONENTS})
    endif()
else()
    if(BUILD_QT5)
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg Network PrintSupport Concurrent WebSockets)
    else()
        find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Gui Qml Quick Xml Sql Svg SvgWidgets Network PrintSupport Concurrent WebSockets DBus)
    endif(BUILD_QT5)
endif()
include(ExternalProject)
include(ECMInstallIcons)
include(ECMAddAppIcon)
if(BUILD_QT5)
    include(KDEInstallDirs)
else()
    include(KDEInstallDirs6)
endif()
include(MacroBoolTo01)
include(ECMQtDeclareLoggingCategory)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)

# Load the frameworks we need
if(BUILD_KSTARS_LITE)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(KF5_VERSION 5.28.0)
        set(KF5_HOST_TOOLING /usr/lib/x86_64-linux-gnu/cmake/)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Config/KF5ConfigConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5I18n/KF5I18nConfig.cmake)
        include(${CMAKE_BINARY_DIR}/kf5/kde/install/lib/cmake/KF5Plotting/KF5PlottingConfig.cmake)
    else()
        # Find Optional package NotifyConfig for desktop notifications
        find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
        MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Auth Config Crash WidgetsAddons NewStuff I18n KIO XmlGui Plotting Notifications)
    endif()
else(BUILD_KSTARS_LITE)
    if(BUILD_QT5)
       # Find Optional package NotifyConfig for desktop notifications
       find_package(KF5 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
       MACRO_BOOL_TO_01(KF5NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

       find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
         Config
         Crash
         DocTools
         WidgetsAddons
         NewStuff
         I18n
         KIO
         XmlGui
         Plotting
         Notifications
       )
       set(KFX_VERSION ${KF5_VERSION})
    else()
       # Find Optional package NotifyConfig for desktop notifications
       find_package(KF6 ${KF5_MIN_VERSION} COMPONENTS NotifyConfig)
       MACRO_BOOL_TO_01(KF6NotifyConfig_FOUND HAVE_NOTIFYCONFIG)

        find_package(KF6 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
          Config
          Crash
          DocTools
          WidgetsAddons
          NewStuff
          I18n
          KIO
          XmlGui
          Plotting
          Notifications
        )
       set(KFX_VERSION ${KF6_VERSION})
    endif(BUILD_QT5)
endif(BUILD_KSTARS_LITE)

## Eigen3 Library
find_package(Eigen3 REQUIRED CONFIG)

## CFITSIO Library
if(ANDROID)
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake "-DM_LIB=-lm")
    endif()

    find_program(DOS2UNIX dos2unix)
    if (NOT DOS2UNIX)
        message(FATAL_ERROR "Could not find dos2unix")
    endif()

    externalproject_add(cfitsio SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio"
        URL https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio3370.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio && ${DOS2UNIX} ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/CMakeLists.txt && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/cfitsio.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} ${extra_cmake}
        BUILD_COMMAND make cfitsio
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(CFITSIO_FOUND TRUE)
    set(CFITSIO_INCLUDE_DIR PUBLIC ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio)
    set(CFITSIO_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio/libcfitsio.a)
else()
    if(BUILD_KSTARS_LITE)
        find_package(CFitsio REQUIRED)
    else()
        find_package(CFitsio)
    endif()
endif()
MACRO_BOOL_TO_01(CFITSIO_FOUND HAVE_CFITSIO)
set_package_properties(CFitsio PROPERTIES DESCRIPTION "FITS IO Library" URL "https://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" TYPE OPTIONAL PURPOSE "Support for the FITS (Flexible Image Transport System) data format in KStars.")

## cfitsio cURL dependency
if(CFITSIO_FOUND)
    find_package(CURL)
    set(CFITSIO_LIBRARIES ${CFITSIO_LIBRARIE} CURL::libcurl)
endif(CFITSIO_FOUND)

## INDI Library
if (ANDROID)
    set(QT_ANDROID $ENV{QT_ANDROID})
    if("${CMAKE_TOOLCHAIN_FILE}" MATCHES "android.toolchain.cmake$")
        set(extra_cmake -DCMAKE_AR=${ANDROID_NDK}/toolchains/llvm/prebuilt/linux-x86_64/bin/llvm-ar)
    endif()
    externalproject_add(indi SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/indi"
        URL https://github.com/indilib/indi/archive/master.zip
        CONFIGURE_COMMAND cmake . -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} \\
             -DINDI_BUILD_POSIX_CLIENT=OFF -DINDI_BUILD_SERVER=OFF -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_UNITTESTS=OFF \\
             -DINDI_BUILD_DRIVERS=OFF -DINDI_BUILD_QT5_CLIENT=ON -DINDI_CALCULATE_MINMAX=ON \\
             -DCFITSIO_DIR=${CMAKE_BINARY_DIR}/packaging/android/3rdparty/cfitsio -DQT_ANDROID=${QT_ANDROID} -DCMAKE_PREFIX_PATH=${QT_ANDROID} ${extra_cmake}
        BUILD_COMMAND make
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")

    set(INDI_FOUND TRUE)
    set(INDI_INCLUDE_DIR ${CMAKE_BINARY_DIR}/packaging/android/indi/libs/indibase ${CMAKE_BINARY_DIR}/packaging/android/indi ${CMAKE_BINARY_DIR}/packaging/android/indi/libs)
    set(INDI_CLIENT_ANDROID_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/indi/libindiclientqt.a)
else ()
    find_package(INDI 2.0.0)
endif ()
MACRO_BOOL_TO_01(INDI_FOUND HAVE_INDI)
set_package_properties(INDI PROPERTIES DESCRIPTION "Astronomical instrumentation control" URL "https://www.indilib.org" TYPE OPTIONAL PURPOSE "Support for controlling astronomical devices on Linux with KStars.")

if (NOT ANDROID)
    find_package(StellarSolver REQUIRED 2.2)
endif(NOT ANDROID)
MACRO_BOOL_TO_01(StellarSolver_FOUND HAVE_STELLARSOLVER)

find_package(Nova)
MACRO_BOOL_TO_01(NOVA_FOUND HAVE_LIBNOVA)
if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif()

if(BUILD_TESTING)
    # Find liberfa, which we check our computation against
    find_package(ERFA)
    MACRO_BOOL_TO_01(ERFA_FOUND HAVE_LIBERFA)
    set_package_properties(ERFA PROPERTIES TYPE OPTIONAL PURPOSE "BSD-compatible version of SOFA, used to test core computations of KStars (only needed by tests)")
endif ()

## Libraw
if(BUILD_KSTARS_LITE AND ANDROID)
    # OpenMP needed for LibRaw
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fopenmp -DLIBRAW_USE_OPENMP")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgomp")

    externalproject_add(raw SOURCE_DIR "${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw"
        URL https://www.libraw.org/data/LibRaw-0.17.2.tar.gz
        PATCH_COMMAND bash -c "cd ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw && wget -qO- https://github.com/LibRaw/LibRaw-cmake/archive/master.zip | jar xvf /dev/stdin && rm -rf cmake && mv -f LibRaw-cmake-master/CMakeLists.txt LibRaw-cmake-master/cmake . && patch -p1 < ${CMAKE_SOURCE_DIR}/packaging/android/3rdparty/libraw.patch"
        CMAKE_ARGS -DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE} -DBUILD_SHARED_LIBS=OFF -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE} -DENABLE_OPENMP=OFF -DENABLE_LCMS=OFF
        BUILD_COMMAND make raw
        BUILD_IN_SOURCE 1
        INSTALL_COMMAND "")
    include_directories(${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw)
    set(LIBRAW_LIBRARIES ${CMAKE_BINARY_DIR}/packaging/android/3rdparty/libraw/libraw.a)
    set(LibRaw_FOUND true)
else()
    find_package(LibRaw)
endif()

=== kstars/CMakeLists.txt ===
if(NOT APPLE) #This is not needed on MacOS, since the data directory and icons are now installed to the app bundle first using the code at the bottom
    add_subdirectory( data )
    add_subdirectory( icons )
endif(NOT APPLE)

add_subdirectory( htmesh )

if (ANDROID AND CMAKE_TOOLCHAIN_FILE)
    include(${CMAKE_TOOLCHAIN_FILE})
endif ()

if (NOT ANDROID)
    find_package(ZLIB REQUIRED)
    include_directories(${ZLIB_INCLUDE_DIR})
    set(THREADS_PREFER_PTHREAD_FLAG TRUE)
    find_package(Threads REQUIRED)
endif ()

if(MSVC)
    add_definitions(-D_USE_MATH_DEFINES=1)
    add_definitions(-DNOMINMAX)
endif()

include(CheckCXXSymbolExists)
check_cxx_symbol_exists(sincos "math.h" HAVE_SINCOS)
if(HAVE_SINCOS)
    add_definitions(-DHAVE_SINCOS)
endif()

include_directories(
    ${kstars_SOURCE_DIR}/kstars
    ${kstars_SOURCE_DIR}/kstars/skyobjects
    ${kstars_SOURCE_DIR}/kstars/skycomponents
    ${kstars_SOURCE_DIR}/kstars/auxiliary
    ${kstars_SOURCE_DIR}/kstars/time
    ${kstars_SOURCE_DIR}/kstars/tools
    ${kstars_SOURCE_DIR}/kstars/catalogsdb
    ${kstars_SOURCE_DIR}/kstars/polyfills
    )

if (INDI_FOUND)
    if(BUILD_KSTARS_LITE)
            set (fits_klite_SRCS
                fitsviewer/fitsdata.cpp
                )
            set (fits2_klite_SRCS
                fitsviewer/bayer.c
                fitsviewer/fpack.c
                fitsviewer/fpackutil.c
                )
                include_directories(${CFITSIO_INCLUDE_DIR})
                include_directories(${NOVA_INCLUDE_DIR})

            set (indi_klite_SRCS
                indi/clientmanagerlite.cpp
                indi/inditelescopelite.cpp
                kstarslite/skyitems/skynodes/crosshairnode.cpp
                kstarslite/skyitems/telescopesymbolsitem.cpp
            )
    endif ()

    set(indiui_SRCS
        indi/streamform.ui
        indi/drivermanager.ui
        indi/opsindi.ui
        indi/indihostconf.ui
        indi/customdrivers.ui
        #indi/telescopewizard.ui
    )

    set(indi_SRCS
        indi/drivermanager.cpp
        indi/servermanager.cpp
        indi/clientmanager.cpp
        indi/blobmanager.cpp
        indi/guimanager.cpp
        indi/driverinfo.cpp
        indi/deviceinfo.cpp
        indi/indidevice.cpp
        indi/indigroup.cpp
        indi/wsmedia.cpp
        indi/indiproperty.cpp
        indi/indielement.cpp
        indi/indistd.cpp
        indi/indilistener.cpp
        indi/indiconcretedevice.cpp
        indi/indiguider.cpp
        indi/indimount.cpp
        indi/indicamera.cpp
        indi/indicamerachip.cpp
        indi/indifocuser.cpp
        indi/indifilterwheel.cpp
        indi/indidome.cpp
        indi/indigps.cpp
        indi/indiweather.cpp
        indi/indidustcap.cpp
        indi/indilightbox.cpp
        indi/indiauxiliary.cpp
        indi/indidetector.cpp
        indi/indirotator.cpp
        indi/indiadaptiveoptics.cpp
        indi/indicorrelator.cpp
        indi/indispectrograph.cpp
        indi/indidbus.cpp
        indi/opsindi.cpp
        indi/streamwg.cpp
        indi/videowg.cpp
        indi/indiwebmanager.cpp
        indi/customdrivers.cpp
        indi/collimationoverlayoptions.cpp
        indi/collimationoverlaytypes.h
    )

    if (CFITSIO_FOUND)
        set(ekosui_SRCS
            ekos/opsekos.ui
            ekos/manager.ui
            ekos/manager/focusprogresswidget.ui
            ekos/manager/guidemanager.ui
            ekos/profileeditor.ui
            ekos/profilewizard.ui
            # Analyze
            ekos/analyze/analyze.ui
            ekos/analyze/yaxistool.ui
            # Scheduler
            ekos/scheduler/scheduler.ui
            ekos/scheduler/framingassistant.ui
            ekos/scheduler/scheduleraltitudegraph.ui
            ekos/scheduler/opsalignmentsettings.ui
            ekos/scheduler/opsscriptssettings.ui
            ekos/scheduler/opsoffsetsettings.ui
            ekos/scheduler/opsjobssettings.ui
            # Capture
            ekos/capture/capture.ui
            ekos/capture/camera.ui
            ekos/capture/calibrationoptions.ui
            ekos/capture/capturepreviewwidget.ui
            ekos/capture/capturecountswidget.ui
            ekos/capture/captureprocessoverlay.ui
            ekos/capture/dslrinfo.ui
            ekos/capture/rotatorsettings.ui
            ekos/capture/customproperties.ui
            ekos/capture/scriptsmanager.ui
            ekos/capture/limits.ui
            ekos/capture/sequenceeditorui.ui
            ekos/capture/opsdslrsettings.ui
            ekos/capture/opsmiscsettings.ui

            # Exposure Calculator
            ekos/capture/exposurecalculator/exposurecalculatordialog.ui
            ekos/capture/exposurecalculator/fileutilitycameradatadialog.ui            
            # Align
            ekos/align/align.ui
            ekos/align/opsastrometry.ui
            ekos/align/opsprograms.ui
            ekos/align/opsalign.ui
            #ekos/align/opsastrometrycfg.ui
            ekos/align/opsastrometryindexfiles.ui
            ekos/align/manualrotator.ui
            ekos/align/mountmodel.ui
            ekos/align/polaralignmentassistant.ui
            ekos/align/polaralignwidget.ui
            #ekos/align/opsastap.ui
            # Focus
            ekos/focus/focus.ui
            ekos/focus/focusmodule.ui
            ekos/focus/opsfocussettings.ui
            ekos/focus/opsfocusprocess.ui
            ekos/focus/opsfocusmechanics.ui
            ekos/focus/cfz.ui
            ekos/focus/focusadvisor.ui
            ekos/focus/focusadvisorhelp.ui
            # Mount
            ekos/mount/mount.ui
            ekos/mount/mountcontrolpanel.ui
            ekos/mount/mountmotionwidget.ui
            ekos/mount/mountpositionwidget.ui
            ekos/mount/mounttargetwidget.ui
            ekos/mount/meridianflipstatuswidget.ui
            # Guide
            ekos/guide/guide.ui
            ekos/guide/guidestatewidget.ui
            ekos/guide/opscalibration.ui
            ekos/guide/opsguide.ui
            ekos/guide/opsdither.ui
            ekos/guide/opsgpg.ui
            ekos/guide/manualdither.ui
            ekos/guide/manualpulse.ui
            ekos/observatory/observatory.ui
            #TODO remove from GIT
            #ekos/guide/guider.ui
            #ekos/guide/rcalibration.ui
            # Auxiliary
            ekos/auxiliary/filtersettings.ui
            ekos/auxiliary/buildfilteroffsets.ui
            ekos/auxiliary/opslogs.ui
            ekos/auxiliary/serialportassistant.ui
            ekos/auxiliary/darklibrary.ui
            ekos/auxiliary/opticaltrains.ui
            ekos/auxiliary/ledstatuswidget.ui
            # Ekos Live
            ekos/ekoslive/ekoslivedialog.ui
        )
        # Aberration Inspector
        if (Qt5DataVisualization_FOUND OR Qt6DataVisualization_FOUND)
            set(ekosui_SRCS ${ekosui_SRCS} ekos/focus/aberrationinspector.ui)
        endif()

        set(ekos_SRCS
            ekos/ekos.cpp
            ekos/profileeditor.cpp
            ekos/profilewizard.cpp
            ekos/profilescript.cpp
            ekos/profilescriptdialog.cpp
            ekos/qMDNS.cpp
            ekos/opsekos.cpp

            # Manager
            ekos/manager.cpp
            ekos/manager/focusprogresswidget.cpp
            ekos/manager/guidemanager.cpp
            ekos/manager/meridianflipstate.cpp
            ekos/extensions.cpp

            # Auxiliary
            ekos/auxiliary/darklibrary.cpp
            ekos/auxiliary/darkprocessor.cpp
            ekos/auxiliary/darkview.cpp
            ekos/auxiliary/defectmap.cpp
            ekos/auxiliary/opticaltrainmanager.cpp
            ekos/auxiliary/profilesettings.cpp
            ekos/auxiliary/opticaltrainsettings.cpp
            ekos/auxiliary/filtermanager.cpp
            ekos/auxiliary/buildfilteroffsets.cpp
            ekos/auxiliary/tabledelegate.cpp
            ekos/auxiliary/opslogs.cpp
	    ekos/auxiliary/rotatorutils.cpp
            ekos/auxiliary/serialportassistant.cpp
            ekos/auxiliary/portselector.cpp
            ekos/auxiliary/ledstatuswidget.cpp

            # Capture
            ekos/capture/capture.cpp
            ekos/capture/capturemodulestate.cpp
            ekos/capture/cameraprocess.cpp
            ekos/capture/camerastate.cpp
            ekos/capture/capturedeviceadaptor.cpp
            ekos/capture/camera.cpp
            ekos/capture/capturepreviewwidget.cpp
            ekos/capture/capturecountswidget.cpp
            ekos/capture/captureprocessoverlay.cpp
            ekos/capture/refocusstate.cpp
            ekos/capture/sequencejob.cpp
            ekos/capture/sequencejobstate.cpp
            ekos/capture/sequencequeue.cpp
            ekos/capture/dslrinfodialog.cpp
            ekos/capture/rotatorsettings.cpp
            ekos/capture/customproperties.cpp
            ekos/capture/scriptsmanager.cpp
            ekos/capture/placeholderpath.cpp
            ekos/capture/sequenceeditor.cpp
            ekos/capture/opsdslrsettings.cpp
            ekos/capture/opsmiscsettings.cpp
            
            # Exposure Calculator
            ekos/capture/exposurecalculator/exposurecalculatordialog.cpp
            ekos/capture/exposurecalculator/calculatedgainsubexposuretime.cpp
            ekos/capture/exposurecalculator/cameraexposureenvelope.cpp
            ekos/capture/exposurecalculator/cameragainreadmode.cpp
            ekos/capture/exposurecalculator/cameragainreadnoise.cpp
            ekos/capture/exposurecalculator/fileutilitycameradata.cpp
            ekos/capture/exposurecalculator/fileutilitycameradatadialog.cpp
            ekos/capture/exposurecalculator/imagingcameradata.cpp
            ekos/capture/exposurecalculator/optimalexposuredetail.cpp
            ekos/capture/exposurecalculator/optimalexposurestack.cpp
            ekos/capture/exposurecalculator/optimalsubexposurecalculator.cpp
	        
            # Analyze
            ekos/analyze/analyze.cpp
            ekos/analyze/yaxistool.cpp

            # Scheduler
            ekos/scheduler/schedulerjob.cpp
            ekos/scheduler/scheduler.cpp
            ekos/scheduler/schedulermodulestate.cpp
            ekos/scheduler/schedulerprocess.cpp
            ekos/scheduler/schedulerutils.cpp
            ekos/scheduler/schedulertypes.cpp
            ekos/scheduler/framingassistantui.cpp
            ekos/scheduler/mosaictilesmanager.cpp
            ekos/scheduler/mosaictilesmodel.cpp
            #ekos/scheduler/mosaicrenderer.cpp
            ekos/scheduler/greedyscheduler.cpp
            ekos/scheduler/scheduleraltitudegraph.cpp
            ekos/scheduler/opsalignmentsettings.cpp
            ekos/scheduler/opsscriptssettings.cpp
            ekos/scheduler/opsjobssettings.cpp
            ekos/scheduler/opsoffsetsettings.cpp

            # Focus
            ekos/focus/focus.cpp
            ekos/focus/focusmodule.cpp
            ekos/focus/focushfrvplot.cpp
            ekos/focus/focusprofileplot.cpp
            ekos/focus/focusalgorithms.cpp
            ekos/focus/polynomialfit.cpp
            ekos/focus/focusstars.cpp
            ekos/focus/curvefit.cpp
            ekos/focus/focusfwhm.cpp
            ekos/focus/focusfourierpower.cpp
            ekos/focus/adaptivefocus.cpp
            ekos/focus/focusadvisor.cpp
            ekos/focus/opsfocusbase.cpp
            ekos/focus/opsfocussettings.cpp
            ekos/focus/opsfocusprocess.cpp
            ekos/focus/opsfocusmechanics.cpp
            ekos/focus/exposurewidget.cpp

            # Mount
            ekos/mount/mount.cpp
            ekos/mount/meridianflipstatuswidget.cpp
            ekos/mount/mountcontrolpanel.cpp
            ekos/mount/mountmotionwidget.cpp
            ekos/mount/mountpositionwidget.cpp
            ekos/mount/mounttargetwidget.cpp

            # Align
            ekos/align/align.cpp
            ekos/align/alignview.cpp
            ekos/align/astrometryparser.cpp
            ekos/align/opsastrometry.cpp
            ekos/align/opsalign.cpp

=== Tests/kstars_ui/CMakeLists.txt ===

SET(KSTARS_UI_TESTS_SRC
    kstars_ui_tests.cpp
    test_kstars_startup.cpp)

include_directories(${CFITSIO_INCLUDE_DIR})

ECM_ADD_APP_ICON(KSTARS_UI_TESTS_SRC ICONS
        ../../kstars/icons/16-apps-kstars.png
        ../../kstars/icons/32-apps-kstars.png
        ../../kstars/icons/48-apps-kstars.png
        ../../kstars/icons/64-apps-kstars.png
        ../../kstars/icons/128-apps-kstars.png
        )

IF(BUILD_QT5)
QT5_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)
ELSE()
QT6_ADD_RESOURCES(KSTARS_UI_TESTS_SRC ../../kstars/data/kstars.qrc)
ENDIF()

ecm_qt_declare_logging_category(KSTARS_UI_TESTS_SRC HEADER test_ekos_debug.h IDENTIFIER KSTARS_EKOS_TEST CATEGORY_NAME org.kde.kstars.ekos.test)

IF (INDI_FOUND)

INCLUDE_DIRECTORIES(${INDI_INCLUDE_DIR})
SET(KSTARS_UI_EKOS_SRC ${KSTARS_UI_TESTS_SRC} test_ekos_wizard.cpp)
SET(KSTARS_UI_EKOS_LIBS ${TEST_LIBRARIES} ${CFITSIO_LIBRARIES} ${INDI_CLIENT_LIBRARIES} ${NOVA_LIBRARIES} z)

SET(KSTARS_UI_MOCK_SRC mockmodules.cpp)
IF(BUILD_QT5)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockFocus.xml mockmodules.h Ekos::MockFocus)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockMount.xml mockmodules.h Ekos::MockMount)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockCapture.xml mockmodules.h Ekos::MockCapture)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockAlign.xml mockmodules.h Ekos::MockAlign)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockGuide.xml mockmodules.h Ekos::MockGuide)
qt5_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.xml mockmodules.h Ekos::MockEkos)
ELSE()
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockFocus.xml mockmodules.h Ekos::MockFocus)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockMount.xml mockmodules.h Ekos::MockMount)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockCapture.xml mockmodules.h Ekos::MockCapture)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockAlign.xml mockmodules.h Ekos::MockAlign)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.MockGuide.xml mockmodules.h Ekos::MockGuide)
qt6_add_dbus_adaptor(KSTARS_UI_MOCK_SRC org.kde.mockkstars.MockEkos.xml mockmodules.h Ekos::MockEkos)
ENDIF()

# FIXME: this particular test crashes when done on the EGLFS platform
# Disabling until we find the reason, other tests do cover this scenario

# ADD_EXECUTABLE(test_ekos ${KSTARS_UI_EKOS_SRC} test_ekos.cpp)
# TARGET_LINK_LIBRARIES(test_ekos ${KSTARS_UI_EKOS_LIBS})
# ADD_TEST(NAME TestEkosProfiles COMMAND test_ekos)
# SET_TESTS_PROPERTIES( TestEkosProfiles PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_simulator ${KSTARS_UI_EKOS_SRC} test_ekos_simulator.cpp)
TARGET_LINK_LIBRARIES(test_ekos_simulator ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosSimulator COMMAND test_ekos_simulator)
# SET_TESTS_PROPERTIES( TestEkosSimulator PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_focus ${KSTARS_UI_EKOS_SRC} test_ekos_focus.cpp)
TARGET_LINK_LIBRARIES(test_ekos_focus ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFocus COMMAND test_ekos_focus)
# SET_TESTS_PROPERTIES( TestEkosFocus PROPERTIES LABELS "stable;ui")

ADD_EXECUTABLE(test_ekos_capture ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosCapture COMMAND test_ekos_capture)
SET_TESTS_PROPERTIES( TestEkosCapture PROPERTIES LABELS "stable;ui" TIMEOUT 600)

ADD_EXECUTABLE(test_ekos_filterwheel ${KSTARS_UI_EKOS_SRC} test_ekos_filterwheel.cpp)
TARGET_LINK_LIBRARIES(test_ekos_filterwheel ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosFilterWheel COMMAND test_ekos_filterwheel)

ADD_EXECUTABLE(test_ekos_capture_count ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_count.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_count ${KSTARS_UI_EKOS_LIBS})
# Exculded as this is flakey: December 8, 2022
#ADD_TEST(NAME TestEkosCaptureCount COMMAND test_ekos_capture_count)
#SET_TESTS_PROPERTIES( TestEkosCaptureCount PROPERTIES LABELS "stable;ui" TIMEOUT 1200 )

ADD_EXECUTABLE(test_ekos_capture_workflow ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_capture_workflow.cpp)
TARGET_LINK_LIBRARIES(test_ekos_capture_workflow ${KSTARS_UI_EKOS_LIBS})

ADD_EXECUTABLE(test_ekos_align ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_scheduler_helper.cpp test_ekos_align.cpp)
TARGET_LINK_LIBRARIES(test_ekos_align ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_align POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/Kocab.fits
            ${CMAKE_CURRENT_BINARY_DIR}/Kocab.fits)

# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosAlign COMMAND test_ekos_align)
# SET_TESTS_PROPERTIES( TestEkosAlign PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_meridianflip ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip ${KSTARS_UI_EKOS_LIBS})
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlip COMMAND test_ekos_meridianflip)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlip PROPERTIES LABELS "astrometry;ui" )
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)

ADD_EXECUTABLE(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_SRC} test_ekos_helper.cpp test_ekos_capture_helper.cpp test_ekos_meridianflip_base.cpp test_ekos_meridianflip_specials.cpp)
TARGET_LINK_LIBRARIES(test_ekos_meridianflip_specials ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_meridianflip_specials POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators_mf.PHDGuidingV2
            ${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2_mf)
# excluded to avoid CI timelimit failure
# ADD_TEST(NAME TestEkosMeridianFlipSpecials COMMAND test_ekos_meridianflip_specials)
# SET_TESTS_PROPERTIES( TestEkosMeridianFlipSpecials PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE( test_ekos_meridianflipstate ${KSTARS_UI_EKOS_SRC}  test_ekos_helper.cpp test_ekos_meridianflipstate.cpp)
TARGET_LINK_LIBRARIES( test_ekos_meridianflipstate ${TEST_LIBRARIES})
ADD_TEST( NAME TestEkosMeridianFlipState COMMAND test_ekos_meridianflipstate )
SET_TESTS_PROPERTIES( TestEkosMeridianFlipState PROPERTIES LABELS "stable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_ekos_scheduler ${KSTARS_UI_EKOS_SRC} test_ekos_scheduler.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_Lum.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_Lum.esq)
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/../scheduler/1x1s_RGBLumRGB.esq
            ${CMAKE_CURRENT_BINARY_DIR}/1x1s_RGBLumRGB.esq)
ADD_TEST(NAME TestEkosScheduler COMMAND test_ekos_scheduler)
SET_TESTS_PROPERTIES( TestEkosScheduler PROPERTIES LABELS "stable;ui" TIMEOUT 120 )

ADD_EXECUTABLE(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_SRC} ${KSTARS_UI_MOCK_SRC} test_ekos_scheduler_helper.cpp test_ekos_scheduler_ops.cpp)
TARGET_LINK_LIBRARIES(test_ekos_scheduler_ops ${KSTARS_UI_EKOS_LIBS})
ADD_CUSTOM_COMMAND( TARGET test_ekos_scheduler_ops POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockAlign.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockCapture.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockFocus.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockGuide.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.mockkstars.MockEkos.MockMount.xml
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40-alt0.esl
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40-alt30.esl
            ${CMAKE_CURRENT_SOURCE_DIR}/Messier-1-40.esq
            ${CMAKE_CURRENT_BINARY_DIR})

ADD_TEST(NAME TestEkosSchedulerOps COMMAND test_ekos_scheduler_ops)
SET_TESTS_PROPERTIES( TestEkosSchedulerOps PROPERTIES LABELS "stable;ui" TIMEOUT 200 )

ADD_EXECUTABLE(test_artificial_horizon ${KSTARS_UI_EKOS_SRC} test_artificial_horizon.cpp)
TARGET_LINK_LIBRARIES(test_artificial_horizon ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestArtificialHorizon COMMAND test_artificial_horizon)
SET_TESTS_PROPERTIES( TestArtificialHorizon PROPERTIES LABELS "stable;ui" TIMEOUT 600 )

# JM 2021-10.16 PHD2 test often fails in CI so it is excluded now until it is fixed.
#ADD_EXECUTABLE(test_ekos_guide ${KSTARS_UI_EKOS_SRC} test_ekos_guide.cpp)
#TARGET_LINK_LIBRARIES(test_ekos_guide ${KSTARS_UI_EKOS_LIBS})
#ADD_CUSTOM_COMMAND( TARGET test_ekos_guide POST_BUILD
    #COMMAND ${CMAKE_COMMAND} -E copy
            #${CMAKE_CURRENT_SOURCE_DIR}/phd2_Simulators.PHDGuidingV2
            #${CMAKE_CURRENT_BINARY_DIR}/.PHDGuidingV2)
#ADD_TEST(NAME TestEkosGuide COMMAND test_ekos_guide)
#SET_TESTS_PROPERTIES( TestEkosGuide PROPERTIES LABELS "unstable;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_ekos_mount ${KSTARS_UI_EKOS_SRC} test_ekos_mount.cpp)
TARGET_LINK_LIBRARIES(test_ekos_mount ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestEkosMount COMMAND test_ekos_mount)
SET_TESTS_PROPERTIES( TestEkosMount PROPERTIES LABELS "no-xvfb;ui" TIMEOUT 600 )

ADD_EXECUTABLE(test_catalog_download ${KSTARS_UI_EKOS_SRC} test_catalog_download.cpp)
TARGET_LINK_LIBRARIES(test_catalog_download ${KSTARS_UI_EKOS_LIBS})
ADD_TEST(NAME TestCatalogDownload COMMAND test_catalog_download)
SET_TESTS_PROPERTIES( TestCatalogDownload PROPERTIES LABELS "stable;ui" TIMEOUT 600 )

ELSE ()

# JM 2010-10-15: Disable this test due to issues in CI
#ADD_EXECUTABLE(test_kstars_ui ${KSTARS_UI_TESTS_SRC})
#TARGET_LINK_LIBRARIES(test_kstars_ui ${TEST_LIBRARIES})
#ADD_TEST(NAME TestKstarsUI COMMAND test_kstars_ui)

ENDIF ()

=== packaging/linux/debian/changelog ===
kstars-bleeding (6:3.7.7) jammy; urgency=medium

  * 3.7.7 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  SUn, 1 Jun 2025 08:30:00 +0300

kstars-bleeding (6:3.7.6) jammy; urgency=medium

  * 3.7.6 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 1 Apr 2025 08:30:00 +0300

kstars-bleeding (6:3.7.5) jammy; urgency=medium

  * 3.7.5 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 1 Feb 2025 08:30:00 +0300

kstars-bleeding (6:3.7.4) jammy; urgency=medium

  * 3.7.4 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 3 Dec 2024 08:30:00 +0300

kstars-bleeding (6:3.7.3) jammy; urgency=medium

  * 3.7.3 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 1 Oct 2024 08:30:00 +0300

kstars-bleeding (6:3.7.2) jammy; urgency=medium

  * 3.7.2 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 1 Aug 2024 08:30:00 +0300

kstars-bleeding (6:3.7.1) jammy; urgency=medium

  * 3.7.1 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 1 Jun 2024 08:30:00 +0300

kstars-bleeding (6:3.7.0) jammy; urgency=medium

  * 3.7.0 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 8 Feb 2024 08:30:00 +0300

kstars-bleeding (6:3.6.9) jammy; urgency=medium

  * 3.6.9 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 5 Jan 2024 08:30:00 +0300

kstars-bleeding (6:3.6.8) jammy; urgency=medium

  * 3.6.8 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 1 Dec 2023 08:30:00 +0300

kstars-bleeding (6:3.6.7) jammy; urgency=medium

  * 3.6.7 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 31 Sep 2023 08:30:00 +0300

kstars-bleeding (6:3.6.6) jammy; urgency=medium

  * 3.6.6 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 1 Jun 2023 08:30:00 +0300

kstars-bleeding (6:3.6.5) jammy; urgency=medium

  * 3.6.5 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 7 Apr 2023 08:30:00 +0300

kstars-bleeding (6:3.6.4) jammy; urgency=medium

  * 3.6.4 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 2 Feb 2023 08:30:00 +0300

kstars-bleeding (6:3.6.3) jammy; urgency=medium

  * 3.6.3 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 1 Dec 2022 08:30:00 +0300

kstars-bleeding (6:3.6.2) jammy; urgency=medium

  * 3.6.2 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 2 Oct 2022 08:30:00 +0300

kstars-bleeding (6:3.6.1) jammy; urgency=medium

  * 3.6.1 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 30 Jul 2022 08:30:00 +0300

kstars-bleeding (6:3.6.0) jammy; urgency=medium

  * 3.6.0 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 29 May 2022 08:30:00 +0300

kstars-bleeding (6:3.5.9) bionic; urgency=medium

  * 3.5.9 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 21 Mar 2022 08:30:00 +0300

kstars-bleeding (6:3.5.8) bionic; urgency=medium

  * 3.5.8 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 19 Jan 2022 08:30:00 +0300

kstars-bleeding (6:3.5.7) bionic; urgency=medium

  * 3.5.7 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 15 Nov 2021 08:30:00 +0300

kstars-bleeding (6:3.5.6) bionic; urgency=medium

  * 3.5.6 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 17 Sep 2021 08:30:00 +0300

kstars-bleeding (6:3.5.5) bionic; urgency=medium

  * 3.5.5 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 6 Jul 2021 08:30:00 +0300

kstars-bleeding (6:3.5.4) bionic; urgency=medium

  * 3.5.4 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 1 Mar 2021 08:30:00 +0300

kstars-bleeding (6:3.5.3) bionic; urgency=medium

  * 3.5.3 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 1 Mar 2021 08:30:00 +0300

kstars-bleeding (6:3.5.2) bionic; urgency=medium

  * 3.5.2 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 10 Jan 2021 08:30:00 +0300

kstars-bleeding (6:3.5.1) bionic; urgency=medium

  * 3.5.1 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Tue, 24 Nov 2020 08:30:00 +0300

kstars-bleeding (6:3.5.0) bionic; urgency=medium

  * 3.5.0 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 25 Jul 2020 08:30:00 +0300

kstars-bleeding (6:3.4.3) bionic; urgency=medium

  * 3.4.3 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 26 Apr 2020 08:30:00 +0300

kstars-bleeding (6:3.4.2) bionic; urgency=medium

  * 3.4.2 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 01 Mar 2020 08:30:00 +0300

kstars-bleeding (6:3.4.1) bionic; urgency=medium

  * 3.4.1 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 17 Feb 2020 08:30:00 +0300

kstars-bleeding (6:3.4.0) bionic; urgency=medium

  * 3.4.0 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 04 Dec 2019 01:30:00 +0300

kstars-bleeding (6:3.3.9) bionic; urgency=medium

  * 3.3.9 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 05 Dec 2019 02:30:00 +0300

kstars-bleeding (6:3.3.8) bionic; urgency=medium

  * 3.3.8 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sat, 16 Nov 2019 02:30:00 +0300

kstars-bleeding (6:3.3.7) bionic; urgency=medium

  * 3.3.7 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Mon, 23 Sep 2019 22:30:00 +0300

kstars-bleeding (6:3.3.6) bionic; urgency=medium

  * 3.3.6 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 09 Sep 2019 22:30:00 +0300

kstars-bleeding (6:3.3.5) bionic; urgency=medium

  * 3.3.5 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Thu, 22 Aug 2019 19:30:00 +0300

kstars-bleeding (6:3.3.4) bionic; urgency=medium

  * 3.3.4 Upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Wed, 07 Aug 2019 19:30:00 +0300

kstars-bleeding (6:3.3.3) bionic; urgency=medium

  * 3.3.3 Upstream release.



=== packaging/linux/debian/control ===
Source: kstars-bleeding
Section: kde
Priority: optional
Maintainer: Jasem Mutlaq <mutlaqja@ikarustech.com>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               extra-cmake-modules (>= 1.7.0),
               qtbase5-dev,
               qtdeclarative5-dev,
               qtmultimedia5-dev,
               qtpositioning5-dev,
               libqt5websockets5-dev,
               libqt5svg5-dev,
               libqt5sql5-sqlite,
               libqt5datavisualization5-dev,
               kdoctools-dev | libkf5doctools-dev,
               libkf5config-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5xmlgui-dev,
               libkf5plotting-dev,
               libkf5crash-dev,
               libkf5notifyconfig-dev,
               libeigen3-dev,
               zlib1g-dev,
               libcfitsio3-dev|libcfitsio-dev,
               libnova-dev,
               libindi-dev (>= 1.6.1),
               indi-bin (>= 1.6.1),
               wcslib-dev,
               libraw-dev,
               libgsl-dev,
               phonon4qt5-backend-vlc,
               qt5keychain-dev,
               libsecret-1-dev,
               libstellarsolver-dev,
               libxisf-dev,
               libcurl4-gnutls-dev,
               libopencv-dev,
               libopencv-imgproc-dev,
               libopencv-highgui-dev
Standards-Version: 3.9.3
Homepage: http://edu.kde.org/

Package: kstars-bleeding
Architecture: any
Section: science
conflicts: kstars
replaces: kstars
recommends: xplanet, xplanet-images
Depends: ${shlibs:Depends}, ${misc:Depends}, kstars-bleeding-data (>= ${source:Version}), kstars-bleeding-dbg (= ${binary:Version}), kded5, kinit, libindi1, indi-bin, breeze-icon-theme, libqt5sql5-sqlite, qml-module-qtquick-controls
Description: desktop planetarium for KDE
 KStars is a desktop planetarium for KDE, depicting an accurate graphical
 simulation of the night sky, from any location on Earth, at any date and time.
 The display includes 130,000 stars, 13,000 deep-sky objects, all 8 planets,
 the Sun and Moon, and thousands of comets and asteroids.  It includes tools
 for astronomical calculations and can control telescopes and cameras.
 .
 This package is part of the KDE education module.

Package: kstars-bleeding-data
Architecture: all
Multi-Arch: allowed
Section: science
conflicts: kstars-data
replaces: kstars-data
Depends: ${misc:Depends}
Description: data files for KStars desktop planetarium
 This package contains architecture-independent data files for KStars,
 the graphical desktop planetarium for KDE, including star catalogues and
 astronomical images.
 .
 This package is part of the KDE education module.

Package: kstars-bleeding-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kstars-bleeding (= ${binary:Version}), ${misc:Depends}
Description: debug information for the desktop planetarium for KDE
 This package contains debugging files used to investigate problems with the
 desktop planetarium for KDE.
